SequenceDBSearchResult (BioJava-1.5-beta API)
Keywords: org.biojava.bio.search.SequenceDBSearchResult class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.search
Class SequenceDBSearchResult

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.search.SequenceDBSearchResult

All Implemented Interfaces:
  Annotatable, SeqSimilaritySearchResult, Changeable

Deprecated. SimpleSeqSimilaritySearchResult has been made Annotatable and is now functionally identical.

    public class SequenceDBSearchResult

extends AbstractChangeable
implements SeqSimilaritySearchResult, Annotatable

`SequenceDBSearchResult` objects represent a result of a search of a `SymbolList` against the sequences within a `SequenceDB` object. The core data (query sequence, database, search parameters, hits) have accessors, while supplementary data are stored in the `Annotation` object. Supplementary data are typically the more loosely formatted details which vary from one search program to another (and between versions of those programs).

Since:
  1.1
Author:
  Keith James, Matthew Pocock
See Also:
  `AbstractChangeable`, `SeqSimilaritySearchResult`, `Annotatable`

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary
`protected ChangeForwarder` | `annotationForwarder` Deprecated.

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Constructor Summary
`SequenceDBSearchResult(Sequence querySequence, SequenceDB sequenceDB, Map searchParameters, List hits, Annotation annotation)` Deprecated. Creates a new `SequenceDBSearchResult`.

Method Summary
`boolean` | `equals(Object other)` Deprecated.
`Annotation` | `getAnnotation()` Deprecated. `getAnnotation` returns the Annotation associated with this hit.
`protected ChangeSupport` | `getChangeSupport(ChangeType ct)` Deprecated. Called to retrieve the ChangeSupport for this object.
`List` | `getHits()` Deprecated. Return all hits in this sequence similarity search result.
`Sequence` | `getQuerySequence()` Deprecated. Returns the query sequence which was used to perform the search.
`Map` | `getSearchParameters()` Deprecated. Returns the search parameters used in the search that produced this search result.
`SequenceDB` | `getSequenceDB()` Deprecated. Returns the sequence database against which the search was performed.
`int` | `hashCode()` Deprecated.
`String` | `toString()` Deprecated.

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Field Detail

### annotationForwarder

    protected transient ChangeForwarder annotationForwarder

  Deprecated.

Constructor Detail

### SequenceDBSearchResult

    public SequenceDBSearchResult(Sequence querySequence,
                                  SequenceDB sequenceDB,
                                  Map searchParameters,
                                  List hits,
                                  Annotation annotation)

  Deprecated.
  Creates a new `SequenceDBSearchResult`.

  Parameters:
    `querySequence` - a `Sequence`.
    `sequenceDB` - a `SequenceDB`.
    `searchParameters` - a `Map`.
    `annotation` - an `Annotation`.
    `hits` - a `List`.

Method Detail

### getQuerySequence

    public Sequence getQuerySequence()

  Deprecated.
  Description copied from interface: `SeqSimilaritySearchResult`
  Returns the query sequence which was used to perform the search.

  Specified by:
    `getQuerySequence` in interface `SeqSimilaritySearchResult`
  Returns:
    the `Sequence` object used to search the `SequenceDB`. Never returns null.

### getSequenceDB

    public SequenceDB getSequenceDB()

  Deprecated.
  Description copied from interface: `SeqSimilaritySearchResult`
  Returns the sequence database against which the search was performed.

  Specified by:
    `getSequenceDB` in interface `SeqSimilaritySearchResult`
  Returns:
    the `SequenceDB object` against which the search was carried out. Never returns null.

### getSearchParameters

    public Map getSearchParameters()

  Deprecated.
  Description copied from interface: `SeqSimilaritySearchResult`
  Returns the search parameters used in the search that produced this search result.

  Specified by:
    `getSearchParameters` in interface `SeqSimilaritySearchResult`
  Returns:
    the (immutable) search parameter `Map object`. May return null.

### getHits

    public List getHits()

  Deprecated.
  Description copied from interface: `SeqSimilaritySearchResult`
  Return all hits in this sequence similarity search result. The hits are sorted from best to worst.

  Specified by:
    `getHits` in interface `SeqSimilaritySearchResult`
  Returns:
    an (immutable) `List` of `SeqSimilaritySearchHit` objects containing all hits in the search result. Never returns null but may return an empty list.

### getAnnotation

    public Annotation getAnnotation()

  Deprecated.
  `getAnnotation` returns the Annotation associated with this hit.

  Specified by:
    `getAnnotation` in interface `Annotatable`
  Returns:
    an `Annotation`.

### equals

    public boolean equals(Object other)

  Deprecated.
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

### getChangeSupport

    protected ChangeSupport getChangeSupport(ChangeType ct)

  Deprecated.
  Description copied from class: `AbstractChangeable`
  Called to retrieve the ChangeSupport for this object.

  Your implementation of this method should have the following structure: ``

       ChangeSupport cs = super.getChangeSupport(ct);

       if(someForwarder == null && ct.isMatching(SomeInterface.SomeChangeType)) {
         someForwarder = new ChangeForwarder(...

         this.stateVariable.addChangeListener(someForwarder, VariableInterface.AChange);
       }

       return cs;

  It is usual for the forwarding listeners (someForwarder in this example) to be transient and lazily instantiated. Be sure to register & unregister the forwarder in the code that does the ChangeEvent handling in setter methods.

  Overrides:
    `getChangeSupport` in class `AbstractChangeable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD